Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Sequence.cpp File Reference

`#include "tao/Sequence.h"`
`#include "tao/Sequence.i"`

Include dependency graph for Sequence.cpp:

## Functions
| TAO_Unbounded_Sequence< CORBA::Octet >::TAO_Unbounded_Sequence (const TAO_Unbounded_Sequence<CORBA::Octet> &rhs)
TAO_Unbounded_Sequence<CORBA::Octet>& | TAO_Unbounded_Sequence< CORBA::Octet >::operator= (const TAO_Unbounded_Sequence<CORBA::Octet> &rhs)
| TAO_Unbounded_Sequence< CORBA::Octet >::TAO_Unbounded_Sequence (CORBA::ULong length, const ACE_Message_Block *mb)
| TAO_Unbounded_Sequence< CORBA::Octet >::~TAO_Unbounded_Sequence (void)
void | TAO_Unbounded_Sequence< CORBA::Octet >::_tao_any_destructor (void *x)
void | TAO_Unbounded_Sequence< CORBA::Octet >::_allocate_buffer (CORBA::ULong length)
void | TAO_Unbounded_Sequence< CORBA::Octet >::_deallocate_buffer (void)
int | operator== (const TAO_Unbounded_Sequence<CORBA::Octet> &lhs, const TAO_Unbounded_Sequence<CORBA::Octet> &rhs)
int | operator!= (const TAO_Unbounded_Sequence<CORBA::Octet> &lhs, const TAO_Unbounded_Sequence<CORBA::Octet> &rhs)

## Function Documentation

TAO_Unbounded_Sequence< CORBA::Octet >::TAO_Unbounded_Sequence ( | CORBA::ULong length,
| const ACE_Message_Block * mb )

TAO_Unbounded_Sequence< CORBA::Octet >::TAO_Unbounded_Sequence ( | const TAO_Unbounded_Sequence< CORBA::Octet >& rhs )

void TAO_Unbounded_Sequence< CORBA::Octet >::_allocate_buffer ( | CORBA::ULong length )

void TAO_Unbounded_Sequence< CORBA::Octet >::_deallocate_buffer ( | void )

void TAO_Unbounded_Sequence< CORBA::Octet >::_tao_any_destructor ( | void * x )

TAO_Unbounded_Sequence<CORBA::Octet>& TAO_Unbounded_Sequence< CORBA::Octet >::operator= ( | const TAO_Unbounded_Sequence< CORBA::Octet >& rhs )

TAO_Unbounded_Sequence< CORBA::Octet >::~TAO_Unbounded_Sequence ( | void )

int operator!= ( | const TAO_Unbounded_Sequence< CORBA::Octet >& lhs,
| const TAO_Unbounded_Sequence< CORBA::Octet >& rhs )

int operator== ( | const TAO_Unbounded_Sequence< CORBA::Octet >& lhs,
| const TAO_Unbounded_Sequence< CORBA::Octet >& rhs )